$max_width: 1280px;
$primary_color: #fff;
$primary_linear: linear-gradient(to right, #141e30, #243b55);
$text_linear: linear-gradient(to right, #ff9966, #ff5e62);
$btn_linear: linear-gradient(to right, #00b4db, #0083b0);
$color_blue: #30A2FF;
$color_purple: #1a1b3e;
$color_orange: #FF884B;

@mixin hover-text {
	background: -webkit-linear-gradient(left, #00b09b, #96c93d);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

@mixin max-width-1280 {
	width: 100%;
	max-width: $max_width;
	margin-left: auto;
	margin-right: auto;
}

@mixin gradient-box {
	position: relative;
	z-index: 1;
	padding: 10px 20px;

	&:before {
		content: "";
		position: absolute;
		inset: 0;
		border-radius: 100px;
		padding: 2px;
		background: $btn_linear;
		-webkit-mask:
			linear-gradient(#fff 0 0) content-box,
			linear-gradient(#fff 0 0);
		-webkit-mask-composite: xor;
		mask-composite: exclude;
	}
}

@mixin gradient-bgr {
	padding: 10px 20px;
	background: $btn_linear;
	border-radius: 100px;
}

@mixin gradient-red {
	padding: 10px 20px;
	background: linear-gradient(25deg, #d64c7f, #ee4758 50%);
	border-radius: 100px;
}